#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 serialise
version:              0.2.4.0
visibility:           public
id:                   serialise-0.2.4.0-D9tSC5I8ZVpCCEQFohnHyA
key:                  serialise-0.2.4.0-D9tSC5I8ZVpCCEQFohnHyA
license:              BSD-3-Clause
copyright:
    2015-2017 Duncan Coutts,
    2015-2017 Well-Typed LLP,
    2015 IRIS Connect Ltd

maintainer:           duncan@community.haskell.org, ben@smart-cactus.org
author:               Duncan Coutts
homepage:             https://github.com/well-typed/cborg
synopsis:             A binary serialisation library for Haskell values.
description:
    This package (formerly @binary-serialise-cbor@) provides pure, efficient
    serialization of Haskell values directly into @ByteString@s for storage or
    transmission purposes. By providing a set of type class instances, you can
    also serialise any custom data type you have as well.

    The underlying binary format used is the '\''Concise Binary Object
    Representation'\'', or CBOR, specified in RFC 7049. As a result,
    serialised Haskell values have implicit structure outside of the
    Haskell program itself, meaning they can be inspected or analyzed
    without custom tools.

    An implementation of the standard bijection between CBOR and JSON is provided
    by the [cborg-json](/package/cborg-json) package. Also see
    [cbor-tool](/package/cbor-tool) for a convenient command-line utility for
    working with CBOR data.

category:             Codec
abi:                  d2e72b319d9313a2a168d253e2f9b691
exposed:              True
exposed-modules:
    Codec.Serialise Codec.Serialise.Class Codec.Serialise.Decoding
    Codec.Serialise.Encoding Codec.Serialise.IO
    Codec.Serialise.Internal.GeneralisedUTF8 Codec.Serialise.Properties
    Codec.Serialise.Tutorial

import-dirs:          /usr/lib/ghc-9.0.2/site-local/serialise-0.2.4.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/serialise-0.2.4.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/serialise-0.2.4.0
hs-libraries:         HSserialise-0.2.4.0-D9tSC5I8ZVpCCEQFohnHyA
depends:
    array-0.5.4.0 base-4.15.1.0 bytestring-0.10.12.1
    cborg-0.2.5.0-8UW8FNz43oP2n6DtrXDmBQ containers-0.6.4.1
    ghc-prim-0.7.0 half-0.3.1-DWE4kLKFMbfKzJavyk34P5
    hashable-1.3.4.1-EP0Gd73UMcO4S1jbgGNqGg
    primitive-0.7.3.0-C6bwHpbQZQfItOcMvIvNKP
    strict-0.4.0.1-9xh3C9npYooCJukB0ADS6C text-1.2.5.0
    these-1.1.1.1-AaAkW8XAFZX8DWQGu0MQrr time-1.9.3
    unordered-containers-0.2.15.0-HIJyWoeynWgK8pqlQmZFlL
    vector-0.12.3.1-3x1pAdfup7PE3zWKaw1ikC

haddock-interfaces:   /usr/share/doc/haskell-serialise/html/serialise.haddock
haddock-html:         /usr/share/doc/haskell-serialise/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

